package com.bcxin.ars.dto;

import com.bcxin.ars.model.SecurityPersonPractitioner;

import java.util.Date;

/**
 * 保安员从业情况搜索类
 *
 * @author wangjianchi
 */
public class SecurityPersonPractitionerDto extends SearchDto<SecurityPersonPractitioner> {

    private static final long serialVersionUID = 7649752662428917689L;

    /**
     * 姓名
     **/
    private String xm;
    /**
     * 性别
     **/
    private String xb;
    /**
     * 公民身份号码
     **/
    private String sfzh;
    /**
     * 从业单位类型
     **/
    private String cydwlx;
    /**
     * 从业单位名称
     **/
    private String cydwmc;
    /**
     * 从业单位编号
     **/
    private String cydwbh;
    /**
     * 签订劳动合同日期
     **/
    private Date qdldhtrq;
    /**
     * 签订劳动合同期限
     **/
    private Date qdldhtdqr;
    /**
     * 缴纳保险险种
     **/
    private String jnshbxxz;
    /**
     * 保安服务类型
     **/
    private String bafwlx;
    /**
     * 入职日期
     **/
    private Date rzrq;
    /**
     * 离职日期
     **/
    private Date lzrq;
    /**
     * 离职原因
     **/
    private String lzyy;
    /**
     * 从业单位所在地（省市县）
     **/
    private String cydwszd;

    /**
     * 搜索开始时间
     *
     * @return
     */
    private String searchStartTime;

    /**
     * 搜索结束时间
     *
     * @return
     */
    private String searchEndTime;



    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    public String getXb() {
        return xb;
    }

    public void setXb(String xb) {
        this.xb = xb;
    }

    public String getSfzh() {
        return sfzh;
    }

    public void setSfzh(String sfzh) {
        this.sfzh = sfzh;
    }

    public String getCydwlx() {
        return cydwlx;
    }

    public void setCydwlx(String cydwlx) {
        this.cydwlx = cydwlx;
    }

    public String getCydwmc() {
        return cydwmc;
    }

    public void setCydwmc(String cydwmc) {
        this.cydwmc = cydwmc;
    }

    public String getCydwbh() {
        return cydwbh;
    }

    public void setCydwbh(String cydwbh) {
        this.cydwbh = cydwbh;
    }

    public Date getQdldhtrq() {
        return qdldhtrq;
    }

    public void setQdldhtrq(Date qdldhtrq) {
        this.qdldhtrq = qdldhtrq;
    }

    public Date getQdldhtdqr() {
        return qdldhtdqr;
    }

    public void setQdldhtdqr(Date qdldhtdqr) {
        this.qdldhtdqr = qdldhtdqr;
    }

    public String getJnshbxxz() {
        return jnshbxxz;
    }

    public void setJnshbxxz(String jnshbxxz) {
        this.jnshbxxz = jnshbxxz;
    }

    public String getBafwlx() {
        return bafwlx;
    }

    public void setBafwlx(String bafwlx) {
        this.bafwlx = bafwlx;
    }

    public Date getRzrq() {
        return rzrq;
    }

    public void setRzrq(Date rzrq) {
        this.rzrq = rzrq;
    }

    public Date getLzrq() {
        return lzrq;
    }

    public void setLzrq(Date lzrq) {
        this.lzrq = lzrq;
    }

    public String getLzyy() {
        return lzyy;
    }

    public void setLzyy(String lzyy) {
        this.lzyy = lzyy;
    }

    public String getCydwszd() {
        return cydwszd;
    }

    public void setCydwszd(String cydwszd) {
        this.cydwszd = cydwszd;
    }

    public String getSearchStartTime() {
        return searchStartTime;
    }

    public void setSearchStartTime(String searchStartTime) {
        this.searchStartTime = searchStartTime;
    }

    public String getSearchEndTime() {
        return searchEndTime;
    }

    public void setSearchEndTime(String searchEndTime) {
        this.searchEndTime = searchEndTime;
    }
}
